## org.eclipse.xsd.util
Interface JAXPConfiguration

All Known Implementing Classes:
  DefaultJAXPConfiguration

    public interface JAXPConfiguration

This interface defines methods to create and configure SAX parser, DOM parser and Transformer.

Method Summary
`javax.xml.parsers.DocumentBuilder` `createDocumentBuilder(org.xml.sax.ErrorHandler errorHandler)`
`org.xml.sax.EntityResolver` `createEntityResolver()`
`javax.xml.parsers.SAXParser` `createSAXParser(org.xml.sax.ext.LexicalHandler lexicalHandler)`
`javax.xml.transform.Transformer` `createTransformer(java.lang.String encoding)`

Method Detail

### createSAXParser

    javax.xml.parsers.SAXParser createSAXParser(org.xml.sax.ext.LexicalHandler lexicalHandler)
                                                throws javax.xml.parsers.ParserConfigurationException,
                                                       org.xml.sax.SAXException

  Throws:
    `javax.xml.parsers.ParserConfigurationException`
    `org.xml.sax.SAXException`

### createDocumentBuilder

    javax.xml.parsers.DocumentBuilder createDocumentBuilder(org.xml.sax.ErrorHandler errorHandler)
                                                            throws javax.xml.parsers.ParserConfigurationException

  Throws:
    `javax.xml.parsers.ParserConfigurationException`

### createTransformer

    javax.xml.transform.Transformer createTransformer(java.lang.String encoding)
                                                      throws javax.xml.transform.TransformerException

  Throws:
    `javax.xml.transform.TransformerException`

### createEntityResolver

    org.xml.sax.EntityResolver createEntityResolver()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.